sccs-log(1)

NAME
sccs-log, sccslog - create changelog from SCCS history files

SYNOPSIS
sccslog [options] file1 .. filen

DESCRIPTION
Sccslog creates a Changelog file from SCCS history files.

If a file argument refers to a directory, the directory is scanned for file names that start with ``s.'' and examines all these files.

OPTIONS

-a  sccslog normally collects all deltas with the same delta comment and prints them as one log table entry in case the related delta time for the files differs no more than one day. With -a, sccslog collects only those deltas that have been created within 60 seconds.

-aa With -aa, sccslog collects only deltas that have been created in the same second.

-Cdir
    Use dir as base directory for printed file names in the output. This option is used by sccs -R to tell sccslog to print filenames that are suitable for complete project changelog files.

-p subdir
    Tell sccslog to use subdir when dealing with file names.

-x  Print all comment lines, even those lines that start with ^Ac_ and thus are no real comment but represent SCCS v6 metadata that has been wrapped as comment to survive modifications by SCCS v4 programs. Such wrapped data is file specific and will prevent to find more files with the same delta comment.

-help
    Prints a short summary of the sccslog options and exists.

-V

-version
    Prints the sccslog version number string and exists.

EXAMPLES

To creates a changelog for all SCCS history files in directory SCCS call:

    sccslog SCCS/s.*

ENVIRONMENT VARIABLES
None.

FILES

$HOME/.sccs/usermap
    This file contains a map list from user names to user descriptions. It consists of a list of lines (each for one user) that start with a user name, followed by white space and a user description. It may e.g. look like:

    joerg   Joerg Schilling <schily@somewhere.com>
    ronnie  Ronnie Nowhere <ronnie@nowhere.com>

SEE ALSO

sccs(1), sccs-admin(1), sccs-cdc(1), sccs-comb(1), sccs-cvt(1), sccs-delta(1), sccs-get(1), sccs-help(1), sccs-prs(1), sccs-prt(1), sccs-rmdel(1), sccs-sact(1), sccs-sccsdiff(1), sccs-unget(1), sccs-val(1), what(1), sccschangeset(4), sccsfile(4).

DIAGNOSTICS

NOTES

BUGS

AUTHOR
sccslog(1) was origininally written by Joerg Schilling in 1997 and is still maintained by Joerg Schilling.